# GMTAccess.jl

Access `.gmt` files :vhs:

## Use

```jl
using GMTAccess
```

### `read`

Read one or more `.gmt` file as `Dict{String, Vector{String}`

```jl
read("hallmark.gmt")

read(["hallmark.gmt", "oncogenic.gmt", "immunological.gmt"])
```

### `write`

Please write `.gmt` content as `.json` :pray:

### `write_ext`

Write `.gmt` content as `.txt` (for giving it to collaborators who are non-programmers, like bench scientists)

```jl
write_txt("set_to_genes.txt", set_to_genes)
```

## Howdy :wave: :cowboy_hat_face:

To report a bug, request a feature, or leave a comment (about anything related to this repository), just [submit an issue](https://github.com/KwatMDPhD/GMTAccess.jl/issues/new/choose).

---

Made by https://github.com/KwatMDPhD/PkgRepository.jl
