TE = joinpath(homedir(), "Downloads", "GMTAccess.test", "")

if isdir(TE)

    rm(TE; recursive = true)

end

mkdir(TE)

println("Made ", TE, ".")

using Revise
using BenchmarkTools

using GMTAccess

da = joinpath("data", "")

;

gm = joinpath(da, "h.all.v7.1.symbols.gmt")

;

GMTAccess.read(gm)

GMTAccess.read([gm, joinpath(da, "c2.all.v7.1.symbols.gmt")])

write_txt(joinpath(TE, "set_genes.txt"), GMTAccess.read(gm))

rm(TE; recursive = true)

println("Removed ", TE, ".")
